#ifndef BUILDER_OP_
#define BUILDER_OP_

#include "iostream"

namespace builder {
class Op {
  class Impl;
  std::shared_ptr<Impl> GetImpl() { return _impl; }

 private:
  std::shared_ptr<Impl> _impl;
}
}  // namespace builder

#endif